Bug 96606 - [PATCH] chiense/{xcin25,libtabe} USE_BDB
Summary: [PATCH] chiense/{xcin25,libtabe} USE_BDB
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-01 17:30 UTC by Rong-En Fan
Modified: 2006-05-23 02:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (15.70 KB, patch)
2006-05-01 17:30 UTC, Rong-En Fan
no flags Details | Diff
file.diff (4.50 KB, patch)
2006-05-01 17:30 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan 2006-05-01 17:30:19 UTC
	chinese/xcin25 is updated to use USE_BDB, and supports db4+.
	A warning message is printed if user defines WITH_BDB_VER.
	The db version used for xcin25 and libtabe *MUST* match.

	USE_BDB exists in libtabe, but it may find the wrong version
	if one has more than one bdb version  installed. Thus, configure
	and two source files are patched to use the correct bdb version
	specified in WITH_BDB_VER. 

	Due to the db version must match between libtabe and xcin25,
	hope these can be committed together.

	Both ports are tested WITH_BDB_VER from 2 to 44, pass compilation
	on i386 7-CURRENT as of few days ago.

	I think we traditionally put make targets below bsd.port.pre.mk,
	so I changed Makefile.

Fix: ===> Generating patch
===> Viewing diff with less
===> Generating patch
===> Viewing diff with less
Comment 1 Edwin Groothuis freebsd_committer 2006-05-01 23:44:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Cheng-Lung Sung freebsd_committer 2006-05-16 04:44:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Take.
Comment 3 kcwu 2006-05-21 06:55:38 UTC
approved.
Comment 4 Cheng-Lung Sung freebsd_committer 2006-05-23 02:20:20 UTC
State Changed
From-To: feedback->closed

Committed. Thank You.